Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class FillPatternType

    java.lang.Object
      org.apache.poi.ss.usermodel.FillPatternType

    public class FillPatternType

extends java.lang.Object

The enumeration value indicating the style of fill pattern being used for a cell format.

Field Summary
`static FillPatternType` | `ALT_BARS` Wide dots
`static FillPatternType` | `BIG_SPOTS` Large spots
`static FillPatternType` | `BRICKS` Brick-like layout
`static FillPatternType` | `DIAMONDS` Diamonds
`static FillPatternType` | `FINE_DOTS` Small fine dots
`static FillPatternType` | `LEAST_DOTS` Least Dots
`static FillPatternType` | `LESS_DOTS` Less Dots
`static FillPatternType` | `NO_FILL` No background
`static FillPatternType` | `SOLID_FOREGROUND` Solidly filled
`static FillPatternType` | `SPARSE_DOTS` Sparse dots
`static FillPatternType` | `SQUARES` Squares
`static FillPatternType` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals
`static FillPatternType` | `THICK_FORWARD_DIAG` Thick forward facing diagonals
`static FillPatternType` | `THICK_HORZ_BANDS` Thick horizontal bands
`static FillPatternType` | `THICK_VERT_BANDS` Thick vertical bands
`static FillPatternType` | `THIN_BACKWARD_DIAG` Thin backward diagonal
`static FillPatternType` | `THIN_FORWARD_DIAG` Thin forward diagonal
`static FillPatternType` | `THIN_HORZ_BANDS` Thin horizontal bands
`static FillPatternType` | `THIN_VERT_BANDS` Thin vertical bands

Constructor Summary
`FillPatternType(int i)`

Method Summary
`int` | `getOrdinal()`
`static FillPatternType[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_FILL

    public static final FillPatternType NO_FILL

  No background

### SOLID_FOREGROUND

    public static final FillPatternType SOLID_FOREGROUND

  Solidly filled

### FINE_DOTS

    public static final FillPatternType FINE_DOTS

  Small fine dots

### ALT_BARS

    public static final FillPatternType ALT_BARS

  Wide dots

### SPARSE_DOTS

    public static final FillPatternType SPARSE_DOTS

  Sparse dots

### THICK_HORZ_BANDS

    public static final FillPatternType THICK_HORZ_BANDS

  Thick horizontal bands

### THICK_VERT_BANDS

    public static final FillPatternType THICK_VERT_BANDS

  Thick vertical bands

### THICK_BACKWARD_DIAG

    public static final FillPatternType THICK_BACKWARD_DIAG

  Thick backward facing diagonals

### THICK_FORWARD_DIAG

    public static final FillPatternType THICK_FORWARD_DIAG

  Thick forward facing diagonals

### BIG_SPOTS

    public static final FillPatternType BIG_SPOTS

  Large spots

### BRICKS

    public static final FillPatternType BRICKS

  Brick-like layout

### THIN_HORZ_BANDS

    public static final FillPatternType THIN_HORZ_BANDS

  Thin horizontal bands

### THIN_VERT_BANDS

    public static final FillPatternType THIN_VERT_BANDS

  Thin vertical bands

### THIN_BACKWARD_DIAG

    public static final FillPatternType THIN_BACKWARD_DIAG

  Thin backward diagonal

### THIN_FORWARD_DIAG

    public static final FillPatternType THIN_FORWARD_DIAG

  Thin forward diagonal

### SQUARES

    public static final FillPatternType SQUARES

  Squares

### DIAMONDS

    public static final FillPatternType DIAMONDS

  Diamonds

### LESS_DOTS

    public static final FillPatternType LESS_DOTS

  Less Dots

### LEAST_DOTS

    public static final FillPatternType LEAST_DOTS

  Least Dots

Constructor Detail

### FillPatternType

    public FillPatternType(int i)

Method Detail

### getOrdinal

    public int getOrdinal()

### values

    public static FillPatternType[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD